Nimbu Developer Docs
ReferencePages

Create a page with items and canvas

POST
/pages

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/pages" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "url": "http://example.com",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "published": true,
  "homepage": true,
  "template": "string",
  "channel": "string",
  "filter": "string",
  "depth": 0,
  "security_mechanism": "string",
  "locales": [
    "string"
  ],
  "fixed_locale": "string",
  "position": 0,
  "og_image": {},
  "parent": "string",
  "parent_path": "string",
  "public_url": "http://example.com",
  "slug": "string",
  "fullpath": "string",
  "title": "string",
  "seo_title": "string",
  "seo_description": "string",
  "seo_keywords": "string",
  "items": {}
}
{
  "message": "string",
  "code": 0,
  "errors": [
    {
      "resource": "string",
      "field": "string",
      "message": "string",
      "code": "string",
      "messages": [
        "string"
      ],
      "codes": [
        "string"
      ],
      "value": null
    }
  ]
}